Get a call
curl --request GET \
--url https://api.altahq.com/v1/calls/{callId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.altahq.com/v1/calls/{callId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.altahq.com/v1/calls/{callId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.altahq.com/v1/calls/{callId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.altahq.com/v1/calls/{callId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.altahq.com/v1/calls/{callId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.altahq.com/v1/calls/{callId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"objectType": "call",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"from": "<string>",
"to": "<string>",
"callType": "inbound",
"duration": 123,
"summary": "<string>",
"endedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"prospectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "Unauthorized",
"message": "Invalid API token"
}{
"error": "NotFound",
"message": "Resource not found"
}{
"error": "TooManyRequests",
"message": "Rate limit exceeded. Please retry after 60 seconds."
}Calls
Get a call
Retrieves a single call by its ID.
GET
/
calls
/
{callId}
Get a call
curl --request GET \
--url https://api.altahq.com/v1/calls/{callId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.altahq.com/v1/calls/{callId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.altahq.com/v1/calls/{callId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.altahq.com/v1/calls/{callId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.altahq.com/v1/calls/{callId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.altahq.com/v1/calls/{callId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.altahq.com/v1/calls/{callId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"objectType": "call",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"from": "<string>",
"to": "<string>",
"callType": "inbound",
"duration": 123,
"summary": "<string>",
"endedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"prospectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "Unauthorized",
"message": "Invalid API token"
}{
"error": "NotFound",
"message": "Resource not found"
}{
"error": "TooManyRequests",
"message": "Rate limit exceeded. Please retry after 60 seconds."
}Authorizations
API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.
Path Parameters
The UUID of the call.
Response
The call object
Unique identifier for the object.
The type of this object.
Available options:
call Timestamp when the object was created.
Timestamp when the object was last updated.
The phone number the call was made from.
The phone number the call was made to.
The direction or type of the call.
Available options:
inbound, outbound, web Duration of the call in seconds.
AI-generated summary of the call.
Timestamp when the call ended.
Timestamp when the call started.
The ID of the prospect associated with this call.